summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.config/zsh/alias.zsh7
-rwxr-xr-x.local/bin/nb8
2 files changed, 8 insertions, 7 deletions
diff --git a/.config/zsh/alias.zsh b/.config/zsh/alias.zsh
index ce8e9a3..4cd4099 100644
--- a/.config/zsh/alias.zsh
+++ b/.config/zsh/alias.zsh
@@ -208,13 +208,6 @@ alias bi='cd $HOME/.local/bin' \
twi() {
mpview https://twitch.tv/"$1";
}
-nb() {
- cache_file="$XDG_DATA_HOME/newsboat/cache.db.gpg"
- urls_file="$XDG_CONFIG_HOME/newsboat/urls.gpg"
- [ -f $urls_file ] && gpg -q -d $urls_file >/tmp/urls || return
- [ -f $cache_file ] && gpg -q -d $cache_file >/tmp/cache.db || return
- newsboat -c /tmp/cache.db -u /tmp/urls
-}
alias mutt='neomutt' \
sxiv='nsxiv -b -a' \
nsxiv='nsxiv -b -a' \
diff --git a/.local/bin/nb b/.local/bin/nb
new file mode 100755
index 0000000..117840d
--- /dev/null
+++ b/.local/bin/nb
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+[ -f /tmp/cache.db ] && exec newsboat -c /tmp/cache.db -u /tmp/urls
+cache_file="$XDG_DATA_HOME/newsboat/cache.db.gpg"
+urls_file="$XDG_CONFIG_HOME/newsboat/urls.gpg"
+[ -f $urls_file ] && gpg -q -d $urls_file > /tmp/urls || return
+[ -f $cache_file ] && gpg -q -d $cache_file > /tmp/cache.db || return
+newsboat -c /tmp/cache.db -u /tmp/urls